<?php
//TITLE=Wave generator and audio stream mixing tools

$title = 'Wave generator and audio stream mixing tools';
$progname = 'wavegenerator';

function usagetext($prog)
{
  exec($prog.' --help 2>&1', $kk);
  $k='';foreach($kk as $s)$k.="$s\n";
  return $k;
}

$text = array(
   '1. Program list' => "

This package contains audio stream several tool programs.

", 'ff:1.1. ff' => "

Frequerency filter. Eats 16-bit mono stream and gives a nice
scrolling colourful ascii graph representing the frequerency
components of the audio. Try whistling. A nice toy.
It is my speech recognition investigation scratchpad.

", 'wg:1.1. wg' => "

Waveform generator and multiplexer.

<pre class=smallerpre>".htmlspecialchars(usagetext('wg'))."</pre>

", 'hum:1.1. hum' => "

Generates semiquiet stream. Useful if you want to keep
the mixer quiet (if your mixeridle if not so quiet).
Does not just output zero. Plain zero stream is hard
to analyze for LAME.

", 'mixer:1.1. mixer' => "

A stream mixing server. It accepts <a href=\"#mixwrite\">mixwrite</a>
and <a href=\"#mixmon\">mixmon</a> -connections.
<br>Provides a server for audio stream mixing.<br>
Meant to be a replacement for esd, with
much more features and much less cpu usage.

", 'mixmon:1.1. mixmon' => "

Monitors the mixer over a tcp connection,
reading whatever is being mixed to it.

", 'mixwrite:1.1. mixwrite' => "

Sends stream to the mixer over a tcp connection.

", 'resample:1.1. resample' => "

Resamples audio stream from one format to another format.

<pre class=smallerpre>".htmlspecialchars(usagetext('resample'))."</pre>

", 'mixeridle:1.1. mixeridle' => "

Generates idle stream for the mixer, if there
are readers for the mixer but no writers.<br>
Actually has been hardcoded to play something nasty...
you should probably customize it :)

", '1. Requirements' => "

GNU make is probably required.<br>

", '1. Copying' => "

These tools have been written by Joel Yliluoma, a.k.a.
<a href=\"http://bisqwit.stc.cx/\">Bisqwit</a>,<br>
and are distributed under the terms of the
<a href=\"http://www.gnu.org/licenses/licenses.html#GPL\">General Public License</a> (GPL).

");
include '/WWW/progdesc.php';
